## openvswitch-lts-raring 1.9.0

=== debian/changelog ===
openvswitch-lts-raring (1.9.0-0ubuntu1~ubuntu12.04.1) precise-proposed; urgency=low

  * Backport of 1.9.0 DKMS packages to Ubuntu 12.04 to support Linux 3.8
    LTS hardware enablement kernel (LP: #1213021):
    - d/control: Drop all packages apart from -source and -dkms, add lts-raring
      identify to source and binary packages.
    - d/p/rename-packages-lts-raring.patch: Patch upstream Makefile to use
      lts-raring for dkms and source packages.
    - d/rules,*: Rework for new lts-raring naming.
    - d/tests/ma,dkms: Update for new lts-raring naming.
    - d/tests/control: Disable openflow test as mininet post-dates 12.04.

 -- James Page <james.page@ubuntu.com>  Mon, 19 Aug 2013 09:03:12 +0100

openvswitch (1.9.0-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Added watch file. 

 -- James Page <james.page@ubuntu.com>  Fri, 01 Mar 2013 14:25:54 +0000

openvswitch (1.9.0~git20130225.cec7c9e-0ubuntu1) raring; urgency=low

  * New upstream snapshot.
  * d/rules.modules: Install built modules to updates/openvswitch to ensure
    that they override any kernel provided version of openvswitch. 

 -- James Page <james.page@ubuntu.com>  Mon, 25 Feb 2013 14:28:46 +0000

openvswitch (1.9.0~git20130207.84b39f2-0ubuntu2) raring; urgency=low

  * Add DEP-8 tests for dkms, module-assistant and openflow. 

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 20:40:09 +0000

openvswitch (1.9.0~git20130207.84b39f2-0ubuntu1) raring; urgency=low

  * New upstream snapshot from 1.9 branch:
    - d/p/support-linux-3.8.patch,
      d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Dropped as included upstream.
  * Fix dependencies for ovsdbmonitor (LP: #1098324):
    - d/control: Add dependency on python-twisted-conch.
  * d/control: Bumped Standards-Version, no changes.

 -- James Page <james.page@ubuntu.com>  Thu, 07 Feb 2013 15:32:38 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu2) raring; urgency=low

  * Fix typo in debian/openvswitch-controller.default (LP: #1094556).

 -- Logan Rosen <logatronico@gmail.com>  Thu, 17 Jan 2013 19:24:45 +0000

openvswitch (1.9.0~git20130115.ca71f5b-0ubuntu1) raring; urgency=low

  * New upstream snapshot based on branch-1.9:
    - d/patches: Dropped all previous patches as all found upstream.
    - d/*: Synced packaging with upstream packaging changes.
    - d/control: Add libtool to BD's to support use of snapshot.
  * Fix compatibility with Linux 3.8 (LP: #1098650):
    - d/p/support-linux-3.8.patch:
      Accept Linux 3.8 as a compatible kernel version.
    - d/p/linux-Makefile.main.in-acinclude-preparation-for-lin.patch:
      Adjust autoconf checks to correctly detect new kernel header file names.
  * Fix python test issues caused by long UNIX socket paths:
    - d/p/handle-unix-socket-long-paths.patch:
      Workaround long UNIX socket paths by using /proc/self/fd on Linux.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Jan 2013 11:22:40 +0000

openvswitch (1.4.3-0ubuntu2) quantal-proposed; urgency=low

  * Re-enable the openvswitch-datapath-dkms package to enable support
    for gre tunnels between virtual switches which is not supported
    in the kernel provided openvswitch module (LP: #1068365). 
    - d/patches/0001->0008*.patch: Cherry picked patches from upstream
      trunk which enable support for the 3.5 linux kernel and align
      dkms module naming with kernel module naming.
    - d/dkms.conf.in: Drop _mod postfix from dkms module names.

 -- James Page <james.page@ubuntu.com>  Tue, 23 Oct 2012 17:24:17 +0200

openvswitch (1.4.3-0ubuntu1) quantal; urgency=low

  * New upstream release (LP: #1057098).
  * Dropped Debian patches:
    - debian/patches/debian-changes-1.4.2+git20120612-6
    - debian/patches/bug-681955-ovs-ctl-Start-the-rest-of-Open-vSwitch.patch
    - debian/patches/bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch
    - debian/patches/debian-changes-1.4.2+git20120612-9
  * Dropped Ubuntu patches:
    - debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch
  * Remaining changes:
    - debian/rules, debian/control: Enable hardening wrapper.
    - debian/control: Disable openvswitch-datapath-dkms package.

 -- Adam Gandelman <adamg@canonical.com>  Mon, 24 Sep 2012 14:55:07 -0700

openvswitch (1.4.2+git20120612-9ubuntu3) quantal; urgency=low

  * debian/patches/lp1044318-Reset-upper-layer-protocol-info.patch: Cherry
    picked upstream patch to avoid critical issues with SNAT/DNAT when OVS
    is chained with other Linux components. May be dropped with 1.4.3 upload.
    (LP: #1044318)

 -- Adam Gandelman <adamg@canonical.com>  Fri, 07 Sep 2012 12:12:03 -0700

openvswitch (1.4.2+git20120612-9ubuntu2) quantal; urgency=low

  * debian/rules, debian/control: Enable hardening wrapper.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Aug 2012 19:39:58 -0500

openvswitch (1.4.2+git20120612-9ubuntu1) quantal; urgency=low

  * Merge from Debian unstable; remaining changes:
    - d/control: Disable openvswitch-datapath-dkms package.
  * Dropped changes:
    - d/patches/kernel_3.5_support.patch: Superceded by 
      bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch

 -- James Page <james.page@ubuntu.com>  Tue, 07 Aug 2012 16:00:53 +0100

openvswitch (1.4.2+git20120612-9) unstable; urgency=low

  * Apply bug-684057-ovs-ctl-Add-support-for-newer-module-name.patch to
    allow use of the openvswitch kernel module integrated into 3.3 and
    later.  Closes: #684057.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 06 Aug 2012 16:59:01 -0700

openvswitch (1.4.2+git20120612-8) unstable; urgency=low

  * Apply further patches to fix bugs resulting from moving
    /etc/openvswitch/conf.db to /var/lib/openvswitch in -7.
    
    This required applying the following bug fix patches:

    bug-681880-3-Make-the-location-of-the-database-separately-configu.patch
    bug-681880-4-tests-Slightly-generalize-utility-function-tests.patch
    bug-681880-5-util-New-function-follow_symlinks.patch

