=== debian/tests/control ===
Tests: dkms ma
Depends: module-assistant, mininet, iperf, openvswitch-switch,
 openvswitch-brcompat, openvswitch-controller
Restrictions: needs-root
